/**
 * Get worker name
 * @function ci.worker._workerName
 * @protected
 * @ignore
 * @author Taka Okunishi
 *
 */
var path = require('path'),
    lib = require('../../lib'),
    string = lib.string;
exports = module.exports = function (filename) {
    var extname = path.extname(filename);
    return string.camelize(path.basename(filename, extname));
};

exports.full = function () {
    return [
        'ci',
        'worker',
        exports.apply(exports, arguments)
    ].join('.');
};